
QGIS Application - Bug report #10734

Random selection should select only inside defined subsets

2014-06-26 07:07 AM - Markus Straub

Status: Closed

Priority: Normal

Assignee:

Category: Processing/QGIS

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: worksforme

Crashes QGIS or corrupts data:No Copied to github as #: 19119

Description

Expected behaviour when trying to randomly select points from a point layer which feature subsets enabled (filtering some of the points)

-> only non-filtered points are used for the random selection

Actual behaviour:

-> the status bar tells me my desired nr of points are selected, but actually only a smaller number of the non-filtered points is selected

Related issues:

Duplicated by QGIS Application - Bug report # 16211: Random Extract within Su... Rejected 2017-02-21

History

#1 - 2014-06-26 09:41 AM - Giovanni Manghi

- Affected QGIS version changed from 2.2.0 to master

- Category set to 44

- Target version set to Future Release - High Priority

- Subject changed from Random selection broken when using feature subsets to Random selection should select only inside defined subsets

#2 - 2017-01-02 05:50 AM - Giovanni Manghi

- Category changed from 44 to Processing/QGIS

#3 - 2017-05-01 01:08 AM - Giovanni Manghi

- Regression? set to No

- Easy fix? set to No

#4 - 2017-05-03 02:59 PM - Alexander Bruy

- Duplicated by Bug report #16211: Random Extract within Subsets saving only one subset added

#5 - 2017-05-16 12:28 PM - Alexander Bruy

- Resolution set to worksforme

- Description updated

- Status changed from Open to Closed

Works fine in master. Please reopen if necessary
